package tools;

import java.util.Collection;
import java.util.Iterator;

/**
 *
 * @author ubik
 */
public class ArrayTools {
    
    public static int[] primitive(Integer[] array) {
        int len = array.length;
        int[] res = new int[len];
        for (int i = 0; i < len; i++) {
            res[i] = array[i];
        }
        return res;
    }
    
    public static int[] primitive(Collection<? extends Integer> coll) {
        int[] res = new int[coll.size()];
        Iterator<? extends Integer> it = coll.iterator();
        int i = 0;
        while(it.hasNext()) {
            res[i++] = it.next();
        }
        return res;
    }    
    
}
